@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,900;1,700&display=swap");

/* Variables */
:root {
  --font-family: "Roboto", sans-serf;
  --normal-font: 400;
  --bold-font: 700;
  --bolder-font: 900;
  --bg-color: #fcfcfc;
  --bgnavbar-color: #f1e9e3;
  --primary-color: #4756df;
  --secondary-color: #ff7235;
  --primary-shadow: #8b8eaf;
  --secondary-shadow: #a17a69;
  --bottom-margin: 0.5rem;
  --bottom-margin-2: 1rem;
  --line-height: 1.7rem;
  --transition: 0.3s;
}

html {
  scroll-behavior: smooth;
}

/* CSS Resets */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* border: 2px solid red; */
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: var(--primary-color);
}

a:hover {
  text-decoration: none;
  color: var(--secondary-color);
}

body {
  font-family: var(--font-family);
}


nav {                                 /* Encabezado  */
  position: sticky;
  top: 0;
  left: 0;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem 3.5rem;
  background-color: var(--bgnavbar-color);
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}
nav h1 {
  color: var(--primary-color);
}

nav a {
  color: var(--primary-color);
  transition: var(--transicion);
}
nav a:hover {
  color: var(--secondary-color);
  border-bottom: 2px solid var(--secondary-color);
}

nav ul {
  display: flex;
  gap: 1.9rem;
}

nav ul li {
  font-weight: var(--bolder-font);    
}

.menu-hamburguesa {
  color: var(--primary-color);
  font-size: 2rem;
  border: 0;
  background-color: transparent;
  cursor: pointer;
  display: none;
}

.sobre_mi {                     /* Apartado sobre mi  */
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.5rem;
  max-width: 68.75rem;
  margin: auto;
}

.sobre_mi img {
  height: 20rem;
  width: 20rem;
  margin: 2rem ;  
}

.bio {
  width: 25rem;
  padding: 0.625rem;
  border-radius: 6px;
  box-shadow: 0px 2px 15px 2px var(--primary-shadow);
}

.bio-titulo {
  margin-bottom: var(--bottom-margin);
}

.bio p {
  line-height: var(--line-height);
  padding: 0.3rem 0;
  
}


.mas-sobre {                           /* Apartado mas sobre mi  */
  background-color: var(--bg-color);
  padding: 1rem 6rem;
  text-align: center;
  
}

.mas-sobre h2 {
  margin-bottom: var(--bottom-margin);
  text-align: center;
}

.mas-sobre p {
  line-height: var(--line-height);
  padding: 0.4rem;
  
}

.contenedor-habilidad .mishabilidades {            /*  Apartado habilidades  */
  font-weight: bold;
  color: var(--secondary-color);
  font-style: normal;
}

.habilidades {                      
  max-width: 68.75rem;
  margin: auto;
  text-align: center;
  margin-top: 2.5rem;
}

.encabezado-habilidades {
  margin-bottom: 1rem;
}

.contenedor-habilidades img {
  padding: 1.25rem;
}

.icono {
  width: 11.875rem;
  height: 11.25rem;
}

.tarjeta-icono {
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 3px 10px var(--secondary-shadow);
  padding: 20px;
  margin: 10px;
}

.proyectos {                          /* Apartado proyectos */
  background-color: var(--bg-color);
  padding: 32px 0;
  margin-top: 2rem;
}

.foto-de-proyecto {
  width: 65%;
  height: 60%;
}

.contenedor-de-proyectos {
  display: flex;
  align-items: center;
  justify-content: center;
}

.titulo-de-proyectos {
  text-align: center;
  margin-bottom: 1rem;
}

.contenedor-de-proyecto {
  text-align: center;
  width: 21.875rem;
  padding: 1rem;
}

.contenedor-de-proyecto p {
  padding: 0.4rem;
}

.titulo-de-proyecto {
  margin-bottom: var(--bottom-margin);
}

.detalles-de-proyecto {
  margin-bottom: var(--bottom-margin);
}

.tarjeta-de-proyecto {
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 3px 10px var(--primary-shadow);
  padding: 20px;
  margin: 10px;
}

.contacto {                   /* Apartado contacto  */
  margin-top: 2rem;
}

.contacto h2 {
  text-align: center;
  margin-bottom: var(--bottom-margin-2);
}

.contenedor-formulario-contacto {
  max-width: 40.75rem;
  margin: 0 auto;
  padding: 0.938rem;
  border-radius: 5px;
  box-shadow: 0 3px 10px var(--secondary-shadow);
}

.contenedor-formulario-contacto label {
  line-height: 2.7em;
  font-weight: var(--bold-font);
  color: var(--primary-color);
}

.contenedor-formulario-contacto textarea {
  min-height: 6.25rem;
  font-size: 14px;
  padding: 0.5rem;
}

.contenedor-formulario-contacto .input-field {
  width: 100%;
  
  padding: 0.5rem;
  border-radius: 5px;
  border: none;
  border: 2px outset var(--primary-color);
  font-size: 0.875rem;
  outline: none;
  
}

.input-field::placeholder {
  padding: 0.5rem;
  color: var(--primary-color);
}


.submit-btn {   /* Botón formulario */
  width: 100%;
  padding: 10px;
  margin: 10px 0;
  background-color: #fff;
  border: 2px solid var(--primary-color);
  border-radius: 5px;
  font-size: 1rem;
  font-weight: var(--bold-font);
  transition: var(--transition);
}
.submit-btn:hover {
  background-color: var(--primary-color);
  border: 2px solid var(--primary-color);
  cursor: pointer;
}

.sociales {              /* Apartado redes sociales  */
  display: flex;
  flex-direction: column;
  position: fixed;
  right: 1%;
  bottom: 50%;
}

.socicon {
  width: 2rem;
  height: 2rem;
}

footer {                     /* Apartado footer */
  background-color: var(--bg-color);
  padding: 1.25rem;
  text-align: center;
  margin: 2rem 0 0;
}

@keyframes float {
  0% {
    box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
    transform: translatey(0px);
  }

  50% {
    box-shadow: 0 25px 15px 0px rgba(0, 0, 0, 0.2);
    transform: translatey(-20px);
  }

  100% {
    box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
    transform: translatey(0px);
  }
}
.container {
  padding-top: 30px;
  margin-bottom: -40px; /* Ajustar la distancia entre la clase container y el footer */
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.avatar {
	width: 150px;
	height: 150px;
	box-sizing: border-box;
	border: 5px white solid;
	border-radius: 50%;
	overflow: hidden;
	box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
	transform: translatey(0px);
	animation: float 6s ease-in-out infinite;
	img { width: 100%; height: auto; }
}
.avatar img {
	width: 100%;
	height: auto;
	/* Para centrar la imagen horizontal y verticalmente */
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.desplazarse-hacia-arriba {     /*  Botón arriba   */
  position: fixed;
  right: 0.5%;
  bottom: 3%;
  cursor: pointer;
}

.flecha-arriba {
  width: 3rem;
  height: 3rem;
}

@media screen and (max-width: 720px) {
  /* los cambios se reflejan en una pantalla con un ancho de 720px ye inferior */


nav {                              /* Barra navegación para responsive   */
  padding: 1.5rem 1rem;
}

nav ul {                             /*  Menu Hamburgesa    */
  position: fixed;
  background-color: var(--bg-color);
  flex-direction: column;
  top: 86px;
  left: 10%;
  width: 80%;
  text-align: center;
  transform: translateX(120%);
  transition: transform 0.5s ease-in;
}

 nav ul li {
  margin: 8px;
}

.menu-hamburguesa {
  display: block;
}

nav ul.show {
  transform: translateX(0);
}


                            /*     Responsive sobre mi           */
.sobre_mi {
  margin-top: 1rem;
  flex-direction: column;
  gap: 0;
}

.sobre_mi-img {
      height: 33.5rem;
      width: 20rem;
  }

.bio {
  margin-top: 1rem;
  width: 20.5rem;
}
.mas-sobre {                   /* Reponsive partado mas sibre mi */
  margin-top: 4rem;
  padding: 1rem 3.5rem;
}

.mas-sobre h2 {
  text-align: center;
}

.mas-sobre p {
  text-align: justify;
}
.icono tarjeta-icono {                      /* Responsive mis mejores habilidades */
  width: 5.875rem;
  height: 5.25rem;
  text-align: column;
}

.contenedor-de-proyectos {    /* Responsive mis proyectos  */
  flex-direction: column;
}

.contenedor-de-proyecto {     /*  Responsive formulario */
  width: 20.875rem;
}

.contenedor-formulario-contacto {
  max-width: 23.75rem;
}

}

